Skip to main content
POST
Create Establishment

Headers

authorization
string | null
x-api-key
string | null
x-tenant-id
string | null

Path Parameters

issuer_id
string<uuid>
required

Cookies

factio_access_token
string | null

Body

application/json

Schema for creating a new Establishment.

code
string
required

3-digit establishment code (e.g., '001')

Required string length: 3
Pattern: ^\d{3}$
address
string
required

Physical address of the establishment

Minimum string length: 1
name
string | null

Display name for the establishment

Required string length: 1 - 255

Response

Successful Response

Schema for Establishment response.

id
string<uuid>
required
tenant_id
string<uuid>
required
issuer_id
string<uuid>
required
code
string
required
name
string | null
required
address
string
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required